/**
 *
 * Copyright (C) 2011 Cloud Conscious, LLC. <info@cloudconscious.com>
 *
 * ====================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ====================================================================
 */
package org.jclouds.date;

import java.util.Date;

import org.jclouds.date.internal.SimpleDateFormatDateService;

import com.google.inject.ImplementedBy;

/**
 * Parses and formats the ISO8601, C, and RFC822 date formats found in XML responses and HTTP
 * response headers.
 * 
 * @author Adrian Cole
 * @author James Murty
 */
@ImplementedBy(SimpleDateFormatDateService.class)
public interface DateService {

   Date fromSeconds(long seconds);

   String cDateFormat(Date date);

   String cDateFormat();

   Date cDateParse(String toParse);

   String rfc822DateFormat(Date date);

   String rfc822DateFormat();

   Date rfc822DateParse(String toParse);

   String iso8601SecondsDateFormat(Date dateTime);

   String iso8601SecondsDateFormat();

   String iso8601DateFormat(Date date);

   String iso8601DateFormat();

   Date iso8601DateParse(String toParse);

   Date iso8601SecondsDateParse(String toParse);

}